import java.awt.*;

public class Line {
    int x1, y1, x2, y2;
    Color color;

    /** Constructor*/
    public Line(int x1, int y1, int x2, int y2, Color color) {
    	this.x1 = x1;
    	this.y1 = y1;
    	this.x2 = x2;
    	this.y2 = y2;
    	this.color = color;
    }

    public void paint(Graphics g, Dimension d) {
    	g.setColor(color);
    	int yt1 = d.height - y1;
    	int yt2 = d.height - y2;
    	g.drawLine(x1, yt1, x2, yt2);
    }
}