import java.awt.*;

public class Arc {
    int x, y , r, aS, aE;
    Color color;

    /** Constructor*/
    public Arc(int x, int y, int r, int aS, int aE, Color color) {
    	this.x = x;
    	this.y = y;
    	this.r = r;
    	this.aS = aS;
    	this.aE = aE;
    	this.color = color;
    }

    public void paint(Graphics g, Dimension d) {
    	g.setColor(color);
    	int yt = d.height - y;
    	g.drawArc(x-r, yt-r, 2*r, 2*r, aS, aE);
    }
}