import java.applet.Applet;
import java.awt.*;
import java.util.*;

public class Phigs extends Applet{
    TextArea output;
    String worning = "Workstation is not opened!\n";
    
	Phigsd phigsd = null;
	
    public void init() {
    	output = new TextArea(6, 60);
    	output.setEditable(false);
        phigsd = new Phigsd();
    	setLayout(new BorderLayout());
        add("Center", phigsd);
        show();
    }
    
    public void close() {
    	clear();
    }
    
    public void set_view_id(int i) {
    }
    
    public void open_ws(int i) {
    	clear();
    }
    
    public void print(String message) {
    	output.append(message);
    }
    
    public int get_width() {
		if(phigsd == null) {
			output.append(worning);
			return -1;
    	}
    	else {
    		Dimension d = phigsd.size();
    		return d.width;
    	}
	}
    
    public int get_height() {
		if(phigsd == null) {
			output.append(worning);
			return -1;
    	}
    	else {
    		Dimension d = phigsd.size();
    		return d.height;
    	}
	}
    
    public void arc(int x, int y, int r, int aS, int aE) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.arc( x, y, r, aS, aE);
    }
    
    public void circle(int x, int y, int r) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.circle(x, y, r);
    }
    
    public void line(int x1, int y1, int x2, int y2) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.line(x1, y1, x2, y2);
    }
    
    public void text(int x, int y, int len, String text) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.text(x, y, len, text);
    }
    
    public void line_color(int red, int green, int blue) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.line_color(red, green, blue);
    }
    
    public void text_color(int red, int green, int blue) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.text_color(red, green, blue);
    }
    
    public void text_height(int fontHeight) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.text_height(fontHeight);
    }
    
    public void text_font(int fontName) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.text_font(fontName);
    }
    
    public void polyline(int x, int y) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.polyline(x, y);
    }
    
    public void polyvertex(int x, int y) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.polyvertex(x, y);
    }

    public void clear() {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.clear();
    }
}